Skip to main content
POST
/
runs
Create run
curl --request POST \
  --url https://api.duvo.ai/v1/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "message": "<string>",
  "sandbox_id": "<string>",
  "webhook_url": "<string>"
}
'
{
  "run": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "source": "<string>",
    "sandbox_id": "<string>",
    "started_at": "<string>",
    "completed_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "human_in_the_loop_enabled": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Body

application/json
agent_id
string<uuid>
required

The agent ID to run

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
message
string

Optional initial message to start the run with (e.g. a trigger payload or user instruction)

sandbox_id
string

Optional sandbox ID with pre-uploaded files

webhook_url
string<uri>

Webhook URL to POST events to (human_request, run_completed, run_failed, run_interrupted)

Response

Default Response

run
object
required

The newly created run